Get details of a specific entity attachment to a rule.

## Path parameters

**`rule_id`** string required

The rule ID

**`entity_type`** string required

Entity type: `assistant`, `user`, `model`, `vector_store`, `organization`

**`entity_id`** string required

The entity ID

## Returns

Returns the attachment object with full configuration details.


```bash
curl "https://api.aitronos.com/v1/rules/rule_a1b2c3d4/attachments/assistant/asst_abc123" \
  -H "X-API-Key: $FREDDY_API_KEY"
```


```python Python SDK
from aitronos import Aitronos

client = Aitronos(api_key="your-api-key")

attachment = client.rule_attachments.get_attachment("rule_abc123", "assistant", "asst_abc123")
print(f"Priority: {attachment.data.priority}")
```


```python
import os
import requests

api_key = os.environ["FREDDY_API_KEY"]

response = requests.get(
    "https://api.aitronos.com/v1/rules/rule_a1b2c3d4/attachments/assistant/asst_abc123",
    headers={"X-API-Key": api_key}
)

attachment = response.json()
print(f"Priority: {attachment['data']['priority']}")
```


```javascript
const apiKey = process.env.FREDDY_API_KEY;

const response = await fetch(
  'https://api.aitronos.com/v1/rules/rule_a1b2c3d4/attachments/assistant/asst_abc123',
  {
    headers: {
      'X-API-Key': apiKey
    }
  }
);

const attachment = await response.json();
console.log(`Priority: ${attachment.data.priority}`);
```

**Response** `200 OK`


```json
{
  "success": true,
  "data": {
    "rule_id": "rule_a1b2c3d4",
    "entity_type": "assistant",
    "entity_id": "asst_abc123",
    "priority": 80,
    "character_limit": 1000,
    "is_active": true,
    "created_at": "2025-01-17T12:00:00Z",
    "updated_at": "2025-01-17T12:00:00Z"
  }
}
```

## Related Resources

- [Create Rule](/docs/api-reference/rules/create)
- [List Rules](/docs/api-reference/rules/list)